# $Revision: 1.15 $, $Date: 2008/12/04 18:09:30 $
Summary:	Utility library used in many applications by LinuxBrit
Summary(pl.UTF-8):	Biblioteka narzędziowa używana w wielu aplikacjach LinuxBrit
Name:		giblib
Version:	1.2.4
Release:	2
License:	BSD-like
Group:		X11/Libraries
Source0:	http://www.linuxbrit.co.uk/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	c810ef5389baf24882a1caca2954385e
URL:		http://www.linuxbrit.co.uk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	imlib2-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
giblib is a utility library used by many of the applications LinuxBrit
writes. It incorporates doubly linked lists, some string functions,
and a wrapper for imlib2. The wrapper does two things. It gives you
access to fontstyles, which can be loaded from files, saved to files
or defined dynamically through the API. It also, and more importantly,
wraps imlib2's context API to simplify calls.

%description -l pl.UTF-8
giblib to biblioteka narzędziowa używana w wielu aplikacjach autorstwa
LinuxBrit. Zawiera dwukierunkowe listy, funkcje do obsługi ciągów
znaków i wrapper do Imlib2. Wrapper robi dwie rzeczy: dostęp do styli
fontów, które mogą być wczytywane z plików, zapisywane do plików lub
definiowane dynamicznie poprzez API, oraz upraszcza wywołania
niektórych funkcji Imlib2.

%package devel
Summary:	Header files for giblib
Summary(pl.UTF-8):	Pliki nagłówkowe giblib
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for giblib.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki giblib.

%package static
Summary:	giblib static library
Summary(pl.UTF-8):	Statyczna biblioteka giblib
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of giblib library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki giblib.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: giblib.spec,v $
Revision 1.15  2008/12/04 18:09:30  hawk
- release 2

Revision 1.14  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.12  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.11  2004/09/21 17:28:42  paladine
- updated to 1.2.4

Revision 1.10  2003/08/18 08:08:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:47:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/05/20 20:33:36  leafnode
- updated to 1.2.3
- libtoolized

Revision 1.6  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.5  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.3  2002/05/21 23:13:09  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/17 13:23:06  qboosh
- added descriptions, fixed License(!)

Revision 1.1  2002/05/14 10:38:41  zagrodzki
- initial release
- no descriptions yet
